OPKSSH(1)

NAME
opkssh - SSH with OpenPubkey

DESCRIPTION
SSH with OpenPubkey

  This program allows users to:

    - Login and create SSH key pairs using their OpenID Connect identity - Add policies to auth_id policy files - Verify OpenPubkey SSH certificates for use with sshd's AuthorizedKeysCommand

  Usage:

    opkssh [flags] opkssh [command]

EXAMPLES

    opkssh login opkssh add root alice@example.com https://accounts.google.com

  Available Commands:

add Appends new rule to the policy file

audit
    Validate policy file entries against provider definitions

client
    Interact with client configuration

help
    Help about any command

inspect
    Inspect and view details of an opkssh generated SSH key

login
    Authenticate with an OpenID Provider to generate an SSH key for opkssh

logout
    Remove opkssh-generated SSH keys and certificates

    permissions Check and fix filesystem permissions required by opkssh readhome Read the principal's home policy file verify Verify an SSH key (used by sshd AuthorizedKeysCommand)

  Flags:

-h, --help
    help for opkssh

-v, --version
    version for opkssh

Use "opkssh [command] --help" for more information about a command.